# Generated by Django 4.1.7 on 2023-11-23 10:17

import enumfields.fields
from django.db import migrations

import arkindex.process.models


class Migration(migrations.Migration):

    dependencies = [
        ('process', '0022_worker_description'),
    ]

    operations = [
        migrations.RunSQL(
            [
                # This uses a `USING` expression to tell PostgreSQL how to perform the data migration
                """
                ALTER TABLE process_workerversion
                ALTER COLUMN model_usage
                SET DATA TYPE varchar(10)
                USING CASE
                    WHEN TRUE THEN 'required'
                    ELSE 'disabled'
                END
                """
            ],
            reverse_sql=[
                # When going backwards, we will set `model_usage=True` only for versions where models are required.
                # `supported` versions will be disabled again, just like before we implemented this feature.
                """
                ALTER TABLE process_workerversion
                ALTER COLUMN model_usage
                SET DATA TYPE boolean
                USING model_usage = 'required'
                """
            ],
            state_operations=[
                migrations.AlterField(
                    model_name='workerversion',
                    name='model_usage',
                    field=enumfields.fields.EnumField(blank=True, default='disabled', enum=arkindex.process.models.FeatureUsage, max_length=10),
                ),
            ],
        ),
    ]
