# Generated by Django 4.1.7 on 2023-12-01 10:30

from django.db import migrations, models


def force_objects(apps, schema_editor):
    WorkerVersion = apps.get_model('process', 'WorkerVersion')
    WorkerVersion.objects.exclude(configuration__typeof='object').update(configuration={})


class Migration(migrations.Migration):

    dependencies = [
        ('process', '0023_alter_workerversion_model_usage'),
    ]

    operations = [
        migrations.RunPython(
            force_objects,
            reverse_code=migrations.RunPython.noop,
            elidable=True,
        ),
        migrations.AlterField(
            model_name='workerversion',
            name='configuration',
            field=models.JSONField(blank=True, default=dict),
        ),
        migrations.AddConstraint(
            model_name='workerversion',
            constraint=models.CheckConstraint(
                check=models.Q(('configuration__typeof', 'object')),
                name='worker_version_configuration_objects',
            ),
        ),
    ]
